# hey Emacs, its -*- rpm-spec -*-
# $Id: php-sockets,v 1.7 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################

# Package name without php prefix
%define		php_extension	mcrypt

Name:	 	php-%php_extension
Version:	%php_version
Release:	%php_release
Group:		System/Servers
License:	PHP Licence
Summary:	Mcrypt library support for PHP4
Serial:		1

Packager: Aleksey Avdeev <solo@altlinux.ru>

BuildRequires(pre): rpm-build-php
BuildPreReq:  php-devel = %php_version-%php_release
# Automatically added by buildreq on Sun Mar 20 2005
BuildRequires:  libmcrypt-devel
PreReq:		php-libs = %php_version-%php_release

Source1:	php-%php_extension.ini
Source2:	php-%php_extension-params.sh

%description
The %name includes a dynamic shared object (DSO) that adds
Mcrypt support to PHP4. The libmcrypt is a data encryption library.  The
library is thread safe and provides encryption and decryption functions.
This version of the library supports many encryption algorithms and
encryption modes. Some algorithms which are supported: SERPENT,
RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY, TWOFISH,
BLOWFISH, ARCFOUR, WAKE and more. Install this package in addition
to main PHP package if you plan to use any of these algorithms.

%prep
%setup -T -c
cp -pr %php_extsrcdir/%php_extension/* .

%build
phpize

BUILD_HAVE=`echo %php_extension | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%_libdir"
export CFLAGS  

%configure --with-%php_extension=%_usr
%php_make

%install
%php_make_install
install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%files
%php_extconf/%php_extension
%php_extdir/*
%doc CREDITS TODO

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Fri Mar 18 2011 Timur Aitov <timonbl4@altlinux.org> 1:4.4.8-alt1.M41.1
- rebuild with new php version (4.4.8-alt1.M41.1)

* Fri Feb 29 2008 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.8-alt1
- rebuild with new php-4.4.8-alt1

* Fri May 18 2007 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.7-alt1
- rebuild with new php-4.4.7-alt1
- not using %%__* macros

* Thu Apr 12 2007 Denis Smirnov <mithraen@altlinux.ru> 1:4.4.6-alt2
- rebuild with new php-4.4.6-alt2

* Sun Mar 18 2007 Denis Smirnov <mithraen@altlinux.ru> 1:4.4.6-alt1
- rebuild with new php-4.4.6-alt1

* Mon Oct 30 2006 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.4-alt2
- rebuild with new php-4.4.4-alt2
- add --with set_php_version_spec (use force php version for *.src.rpm build)

* Fri Sep 08 2006 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.4-alt1
- rebuild with new php-4.4.4

* Sun Jul 02 2006 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.3.cvs20060626-alt1
- rebuild with new php-4.4.3.cvs20060626

* Sat Nov 26 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.4.2-alt0.cvs20051121.1
- rebuild with new php-4.4.2

* Mon Oct 10 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20051010.1.1.1
- rebuild with php-libs-4.4.1-alt0.cvs20051010

* Tue Aug 09 2005 Alexey Gladkov <legion@altlinux.ru> 1:4.4.1-alt0.cvs20050729.1.1
- rebuild with new php-4.4.1

* Tue Aug 02 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.3.12-alt0.cvs20050530.1
- Fixed spec bug

* Tue May 31 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.3.12-alt0.cvs20050530
- PHP 4.3.12-devel CVS-20050530

* Mon May 30 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.3.12-alt0.cvs20050527
- PHP 4.3.12-devel CVS-20050527

* Mon Apr 25 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.3.12-alt0.cvs20050406
- PHP 4.3.12-devel CVS-20050406

* Sun Mar 20 2005 Aleksey Avdeev <solo@altlinux.ru> 1:4.3.11-alt0.cvs20050209
- PHP 4.3.11-devel CVS-20050209

* Fri Jan 24 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030124
- PHP 4.3.0-dev CVS-20030124
- Bugfixes 

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6

* Tue May 29 2001 Alexander Bokovoy <ab@avilink.net> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.6
- Rebuild with fixed version of PHP4

* Tue Mar 13 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC1-ipl0.5
- Fixed:
    + libltdl linking for dynamic modules of mcrypt
    + mcrypt does not want work in mod_php4
    
* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
